Page MenuHomePhabricator

Parse errors with ORs in query
Closed, DuplicatePublic

Description

As seen in prod and in parent task:

Warning: Search backend error during full_text search
 for '"nicht antretbar*" OR "nicht antreten*" OR "nicht erstattbar*" OR "nicht erstatten*" OR "nicht erstattet*" OR "nicht stornierbar*" OR "nicht stornieren*" OR "nicht storniert*"' after 33.
  Parse error on ' or   OR   OR   OR   OR   OR   or ': Encountered " <OR> "OR "" at line 1, column 11.
[Called from CirrusSearch\ElasticsearchIntermediary::failure in /srv/mediawiki/php-1.25wmf23/extensions/CirrusSearch/includes/ElasticsearchIntermediary.php at line 98] in /srv/mediawiki/php-1.25wmf23/includes/debug/MWDebug.php on line 300

Many other similar examples can be pulled from hhvm.log

Event Timeline

demon created this task.Apr 3 2015, 5:54 PM
demon raised the priority of this task from to High.
demon updated the task description. (Show Details)
demon added subscribers: Jdouglas, Manybubbles, demon and 2 others.
demon reopened this task as Open.Jun 30 2015, 6:45 PM

This is not fixed yet.

Restricted Application added a project: Discovery. · View Herald TranscriptJun 30 2015, 6:45 PM

These parse errors still occur, but they have been shunted off into the CirrusSearch log rather than the main hhvm.log.

I'm not sure how we can actually fix this without replacing the entire query parser.

ksmith moved this task from Needs triage to Ops on the Discovery board.Nov 24 2015, 6:11 PM
Deskana lowered the priority of this task from High to Low.Nov 24 2015, 6:18 PM
Deskana added a subscriber: Deskana.

Lowering priority to reflect the reality of the team's prioritisation.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptAug 28 2019, 11:12 PM